<div>
  <mat-toolbar>New Course Form</mat-toolbar>
  <form
    [formGroup]="newCourseForm"
    ngxsForm="courses.newCourseForm"
    (ngSubmit)="onSubmit()"
    class="form-container"
  >
    <mat-form-field appearance="fill">
      <mat-label>Course Name</mat-label>
      <input matInput formControlName="name" />
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>Description</mat-label>
      <textarea
        matInput
        formControlName="description"
        cdkTextareaAutosize
      ></textarea>
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>Culture</mat-label>
      <mat-select formControlName="culture">
        <mat-option
          *ngFor="let culture of cultureKeys()"
          [value]="courseCultures[culture]"
          >{{ culture }}</mat-option
        >
      </mat-select>
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>Grade</mat-label>
      <mat-select formControlName="grade">
        <mat-option
          *ngFor="let grade of gradeKeys()"
          [value]="courseGrades[grade]"
          >{{ grade }}</mat-option
        >
      </mat-select>
    </mat-form-field>
    <br />
    <mat-slide-toggle formControlName="availableInTrial"
      >Available In Trial</mat-slide-toggle
    >
    <br />
    <mat-form-field appearance="fill">
      <mat-label>In-App Title</mat-label>
      <input matInput formControlName="inAppTitle" />
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>In-App Description</mat-label>
      <input matInput formControlName="inAppDescription" />
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>Teacher Name</mat-label>
      <input matInput formControlName="teacherName" />
    </mat-form-field>
    <br />
    <mat-form-field appearance="fill">
      <mat-label>Teacher Description</mat-label>
      <textarea
        matInput
        formControlName="teacherDescription"
        cdkTextareaAutosize
      ></textarea>
    </mat-form-field>
    <br />
    <span>
      <button mat-button (click)="onThumbnailUploadClick()" type="button">
        <mat-icon>file_upload</mat-icon>
        THUMBNAIL
      </button>
      <mat-icon *ngIf="thumbnail$ | async">check_circle</mat-icon>
    </span>
    <br />
    <ul>
      <li *ngFor="let file of files" [@fadeInOut]="file.state">
        <div *ngIf="file.isThumbnail">
          <mat-progress-bar [value]="file.progress"></mat-progress-bar>
          <span id="file-label">
            {{ file.data.name }}
            <a title="Retry" (click)="retryFile(file)" *ngIf="file.canRetry">
              <mat-icon>refresh</mat-icon></a
            >
            <a title="Cancel" (click)="cancelFile(file)" *ngIf="file.canCancel">
              <mat-icon>cancel</mat-icon></a
            >
          </span>
        </div>
      </li>
    </ul>
    <input
      type="file"
      id="thumbnailFileUpload"
      name="thumbnailFileUpload"
      accept="{{ accept }}"
      style="display:none;"
    />
    <br />
    <span>
      <button mat-button (click)="onTrailerUploadClick()" type="button">
        <mat-icon>file_upload</mat-icon>
        TRAILER
      </button>
      <mat-icon *ngIf="trailer$ | async">check_circle</mat-icon>
    </span>
    <br />
    <ul>
      <li *ngFor="let file of files" [@fadeInOut]="file.state">
        <div *ngIf="file.isTrailer">
          <mat-progress-bar [value]="file.progress"></mat-progress-bar>
          <span id="file-label">
            {{ file.data.name }}
            <a title="Retry" (click)="retryFile(file)" *ngIf="file.canRetry">
              <mat-icon>refresh</mat-icon></a
            >
            <a title="Cancel" (click)="cancelFile(file)" *ngIf="file.canCancel">
              <mat-icon>cancel</mat-icon></a
            >
          </span>
        </div>
      </li>
    </ul>
    <input
      type="file"
      id="trailerFileUpload"
      name="trailerFileUpload"
      accept="video/*"
      style="display:none;"
    />
    <br />
    <span>
      <button mat-button (click)="onTeacherImageUploadClick()" type="button">
        <mat-icon>file_upload</mat-icon>
        TEACHER IMAGE
      </button>
      <mat-icon *ngIf="teacherImage$ | async">check_circle</mat-icon>
    </span>
    <br />
    <ul>
      <li *ngFor="let file of files" [@fadeInOut]="file.state">
        <div *ngIf="file.isTeacherImage">
          <mat-progress-bar [value]="file.progress"></mat-progress-bar>
          <span id="file-label">
            {{ file.data.name }}
            <a title="Retry" (click)="retryFile(file)" *ngIf="file.canRetry">
              <mat-icon>refresh</mat-icon></a
            >
            <a title="Cancel" (click)="cancelFile(file)" *ngIf="file.canCancel">
              <mat-icon>cancel</mat-icon></a
            >
          </span>
        </div>
      </li>
    </ul>
    <input
      type="file"
      id="teacherImageFileUpload"
      name="teacherImageFileUpload"
      accept="{{ accept }}"
      style="display:none;"
    />
    <br />
    <button mat-button type="submit">SAVE</button>
  </form>
</div>
